cudasliding
Prev | Experimental Orchestra Opcodes and GEN Routines | Next

## cudasliding

cudasliding — Perform sliding phase vocoder algorithm with simplified transformational FM using GPU hardware. Experimental and only available as source code at the moment.

## Description

Perform sliding phase vocoder algorithm with simplified transformational FM using GPU hardware.

## Syntax

    asig cudasliding ain, amod, iwinsize

## Initialization

iwinsize -- The DFT size in samples. Need not be a power of two. ifftsize determines the number of analysis bins used.

## Performance

ain -- input signal for transformation.

amod -- signal that modulates the analysed signal.

## Examples

Here is an example of the cudasliding opcode. It uses the file cudasliding.csd.

Example 1277. Example of the cudasliding opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac      ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o cudaslidig.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 64
    0dbfs = 1
    nchnls = 2

    instr 1
    asig = diskin:a("flutec3.wav",1,0,1)
    amod = oscil:a(1,3)
    asig2 = cudasliding(asig,amod)
    asig = linenr(asig2,0.005,0.01,0.01)
       out(asig)
    endin

    </CsInstruments>
    <CsScore>
    i1 0 60

    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: Russell Bradford
March 2014

New in version 6.03

Prev | Up | Next
cudasynth | Home | Deprecated Orchestra Opcodes and GEN Routines